classification
Title: Author of EPUB version of Python docs is set to Unknown instead of PSF
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: Christian.Clauss, berker.peksag, docs@python, ezio.melotti, georg.brandl, orsenthil, pitrou, python-dev
Priority: normal Keywords: easy, patch

Created on 2014-03-18 14:34 by Christian.Clauss, last changed 2016-01-08 09:06 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
issue20969.diff berker.peksag, 2014-05-12 16:10 review
Messages (8)
msg213972 - (view) Author: Christian Clauss (Christian.Clauss) * Date: 2014-03-18 14:34
http://docs.python.org/3/download.html has an EPUB version of the Python docs but the Author of the document is set to Unknown so this text appears on the cover page and is repeated on the top of every other page throughout the document (in the iBooks app at least). Perhaps something like The Python Software Foundation would be better than Unknown.

To fix this issue, both Makefile and make.bat in https://github.com/python/pythondotorg/blob/master/docs would need to be modified to add the Sphinx -A option to the EPUB make. Perhaps the Release (-R) and/or Version (-V) should also be set to the relevant Python version number.
msg215493 - (view) Author: Christian Clauss (Christian.Clauss) * Date: 2014-04-04 06:34
Makefile and make.bat in https://github.com/python/pythondotorg/blob/master/docs are NOT the correct files to modify.  It is unclear to where the correct files are.
msg215504 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-04-04 09:37
The PSF is not the author of the docs. Perhaps something like "Python documentation authors".
msg215525 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2014-04-04 14:20
The repository is http://hg.python.org/cpython.

If you make a patch, please set the appropriate values in Doc/conf.py, not the makefiles.
msg218329 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-05-12 16:10
Here's a patch. I followed Antoine's name suggestion.

PSF would more suitable for the "epub_publisher" option:

http://sphinx-doc.org/config.html#confval-epub_publisher
msg257742 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-08 09:03
New changeset 7fe960f1a101 by Senthil Kumaran in branch '3.5':
Issue20969 - Set the Epub Author and Epub Publisher in Python docs.
https://hg.python.org/cpython/rev/7fe960f1a101

New changeset 4daffae06f64 by Senthil Kumaran in branch 'default':
merge from 3.5
https://hg.python.org/cpython/rev/4daffae06f64
msg257743 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-08 09:06
New changeset 6b72b4b79aef by Senthil Kumaran in branch '2.7':
Issue20969 - Set the Epub Author and Epub Publisher in Python docs.
https://hg.python.org/cpython/rev/6b72b4b79aef
msg257744 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-08 09:06
Fixed in all branches for which documentation will be published / updated.
History
Date User Action Args
2016-01-08 09:06:58orsenthilsetstatus: open -> closed

assignee: docs@python -> orsenthil

nosy: + orsenthil
messages: + msg257744
resolution: fixed
stage: patch review -> resolved
2016-01-08 09:06:05python-devsetmessages: + msg257743
2016-01-08 09:03:24python-devsetnosy: + python-dev
messages: + msg257742
2014-05-12 16:10:09berker.peksagsetfiles: + issue20969.diff

nosy: + berker.peksag
messages: + msg218329

keywords: + patch
stage: needs patch -> patch review
2014-04-20 22:38:28ezio.melottisetkeywords: + easy
nosy: + ezio.melotti
stage: needs patch

versions: + Python 3.5
2014-04-04 14:20:42georg.brandlsetnosy: + georg.brandl
messages: + msg215525
2014-04-04 09:37:12pitrousetnosy: + pitrou
messages: + msg215504
2014-04-04 06:34:34Christian.Clausssetmessages: + msg215493
2014-03-18 14:34:09Christian.Clausscreate